<template>
    <div class="container">
        <section>
            <b-table :data="data" :columns="columns"></b-table>
        </section>
        <button class="button" @click="logout">Logout</button>
    </div>
</template>

<script>
    import axios from 'axios'
    import router from '../router'
    export default {
        name: 'Login',
        data() {
            return {
                columns: [
                    {
                        field: 'id',
                        label: 'ID',
                        width: '40',
                        numeric: true
                    },
                    {
                        field: 'first_name',
                        label: 'First Name',
                    },
                    {
                        field: 'last_name',
                        label: 'Last Name',
                    },
                    {
                        field: 'company',
                        label: 'company',
                    },
                    {
                        field: 'phone',
                        label: 'phone',
                    }
                ],
                data: [],
                usr: null,
                pwd:null
            }
        },
        methods: {
            async getData () {
                var bodyFormData = new FormData();
                bodyFormData.append('usr', JSON.parse(localStorage.getItem('user')));
                bodyFormData.append('token', JSON.parse(localStorage.getItem('token')));
                bodyFormData.append('dev', 'browser1');
                const options = {
                    headers: {
                        'Access-Control-Allow-Origin': '*'
                    }
                }
                await axios.post('https://juan.munggaran.com/API/myprofile', bodyFormData, options).then((response)  => {
                  // console.log(response)
                  if(response.data.result == 403){
                    console.log(response.data.message)
                  }else{
                    this.data = response.data.message
                  }
                }).catch((error)  => {
                    if (error.response) {
                    // The request was made and the server responded with a status code
                    // that falls out of the range of 2xx
                    console.log(error.response.data);
                    console.log(error.response.status);
                    console.log(error.response.headers);
                    } else if (error.request) {
                    // The request was made but no response was received
                    // `error.request` is an instance of XMLHttpRequest in the browser and an instance of
                    // http.ClientRequest in node.js
                    console.log(error.request);
                    } else {
                    // Something happened in setting up the request that triggered an Error
                    console.log('Error', error.message);
                    }
                    console.log(error.config);
                });
            },
            async logout(){
                  var bodyFormData = new FormData();
                    bodyFormData.append('usr', JSON.parse(localStorage.getItem('user')));
                    bodyFormData.append('token', JSON.parse(localStorage.getItem('token')));
                    bodyFormData.append('dev', 'browser1');
                    const options = {
                        headers: {
                            'Access-Control-Allow-Origin': '*'
                        }
                    }
                  await axios.post('https://juan.munggaran.com/API/logout', bodyFormData, options).then((response)  => {
                  // console.log(response)
                  if(response.data.result == 403){
                    console.log(response.data.message)
                  }else{
                    localStorage.clear();
                    router.push({name: "login"});
                  }
                }).catch((error)  => {
                    if (error.response) {
                    // The request was made and the server responded with a status code
                    // that falls out of the range of 2xx
                    console.log(error.response.data);
                    console.log(error.response.status);
                    console.log(error.response.headers);
                    } else if (error.request) {
                    // The request was made but no response was received
                    // `error.request` is an instance of XMLHttpRequest in the browser and an instance of
                    // http.ClientRequest in node.js
                    console.log(error.request);
                    } else {
                    // Something happened in setting up the request that triggered an Error
                    console.log('Error', error.message);
                    }
                    console.log(error.config);
                });

            }
        },
        created () {
           this.getData()
        }
    }
</script>